Loading...
Searching...
No Matches
ASSA::SIGPOLLHandler Class Reference

Class SIGPOLLHandler handles SIGPOLL signal. More...

`#include <Handlers.h>`

Inheritance diagram for ASSA::SIGPOLLHandler:

## Public Member Functions

| SIGPOLLHandler ()
| Constructor.
int | handle_signal (int signum_)
| Catch and absorb SIGPOLL signal.
Public Member Functions inherited from ASSA::EventHandler
| EventHandler ()
| Constructor.
virtual | ~EventHandler ()
| Virtual destructor.
virtual int | handle_read (int fd)
| Read event callback.
virtual int | handle_write (int fd)
| Write handler callback.
virtual int | handle_except (int fd)
| Exception handler callback.
virtual int | handle_timeout (TimerId tid)
| Timeout handler callback.
virtual int | handle_close (int fd)
| EOF on peer socket handler callback.
virtual void | resetState (void)
| A hook for derived class to reset internal state as needed.
void | set_id (const std::string &id_)
| Set EventHandler ID.
std::string | get_id () const
| Retrieve EventHandler ID.

## Additional Inherited Members

Protected Attributes inherited from ASSA::EventHandler
std::string | m_id

## Detailed Description

Class SIGPOLLHandler handles SIGPOLL signal.

SIGPOLLHandler Implementations of dummy handler to swallow SIGPOLL caused sometimes by select(3) being called on false socket file descriptor.

NOTE: FreeBSD uses SIGIO instead.

Definition at line 261 of file Handlers.h.

## Constructor & Destructor Documentation

## SIGPOLLHandler()

ASSA::SIGPOLLHandler::SIGPOLLHandler | ( |  | ) |

inline

Constructor.

Definition at line 266 of file Handlers.h.

{
trace_with_mask("SIGPOLLHandler", SIGHAND);
}
trace_with_mask
#define trace_with_mask(s, m)
trace_with_mask() is used to trace function call chain in C++ program.
Definition Logger.h:437
ASSA::SIGHAND
@ SIGHAND
Class SigHandler(s) messages
Definition LogMask.h:38

References ASSA::SIGHAND, and trace_with_mask.

## Member Function Documentation

## handle_signal()

int ASSA::SIGPOLLHandler::handle_signal | ( | int | signum_ | ) |

inline virtual

Catch and absorb SIGPOLL signal.

Reimplemented from ASSA::EventHandler.

Definition at line 271 of file Handlers.h.

{
trace_with_mask("SIGPOLLHandler::handle_signal", SIGHAND);
return (signum_ == ASSAIOSIG) ? 0 : -1;
}
ASSAIOSIG
#define ASSAIOSIG
Definition Handlers.h:38

References ASSAIOSIG, ASSA::SIGHAND, and trace_with_mask.

The documentation for this class was generated from the following file:

- Handlers.h